package com.jwl.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author 曹林
 * @description 驾考新增入参
 * @create 2023/8/13 17:13
 */
@Data
@Accessors(chain = true)
@ApiModel("驾考题目出参")
public class QuestionAddDto {

    private static final long serialVersionUID = 1L;

    /**
     * 题目内容
     */
    @ApiModelProperty(value = "题目内容",required = true)
    private String question;

    /**
     * 选项A
     */
    @ApiModelProperty("选项A")
    private String chooseA;

    /**
     * 选项B
     */
    @ApiModelProperty("选项B")
    private String chooseB;

    /**
     * 选项C
     */
    @ApiModelProperty("选项C")
    private String chooseC;

    /**
     * 选项D
     */
    @ApiModelProperty("选项D")
    private String chooseD;

    /**
     * 选项E
     */
    @ApiModelProperty("选项E")
    private String chooseE;

    /**
     * 选项F
     */
    @ApiModelProperty("选项F")
    private String chooseF;

    /**
     * 选项G
     */
    @ApiModelProperty("选项G")
    private String chooseG;

    /**
     * 正确答案
     */
    @ApiModelProperty("正确答案")
    private String trueAnswer;

    /**
     * 未知
     */
    @ApiModelProperty("未知")
    private String cids;

    /**
     * 题型分类
     */
    @ApiModelProperty("题型分类")
    private String category;

    /**
     * 题目图片url
     */
    @ApiModelProperty("题目图片url")
    private String imageUrl;

    /**
     * 未知
     */
    @ApiModelProperty("未知")
    private String sohuImg;

    /**
     * 最佳回答
     */
    @ApiModelProperty("最佳回答")
    private String bestAnswer;

    /**
     * 章节标识
     */
    @ApiModelProperty("章节标识")
    private String chapter;

    /**
     * 所属科目，1:科目1，2:科目4
     */
    @ApiModelProperty("所属科目，1:科目1，2:科目4")
    private String subject;

    /**
     * 选择
     */
    @ApiModelProperty("选择")
    private String options;

    /**
     * 题目类型，1：选择题 2：判断题，3：多选题
     */
    @ApiModelProperty("题目类型，1：选择题 2：判断题，3：多选题")
    @NotBlank
    private String type;

    /**
     * 显示序号
     */
    @ApiModelProperty("显示序号")
    private int showOrder;

    /**
     * 车型
     */
    @ApiModelProperty("车型")
    @NotNull
    private Integer carTypeId;

    /**
     * 是否生效
     */
    @ApiModelProperty("是否生效")
    private String isActive;

    /**
     * 是否vip题型
     */
    @ApiModelProperty("是否VIP")
    @NotNull
    private Integer isVip;
    /**
     * 是否易错
     */
    @ApiModelProperty("是否易错")
    private Integer isError;
    /**
     * 是否v新规
     */
    @ApiModelProperty("是否新规")
    private Integer isNew;
    /**
     * 考点
     */
    @ApiModelProperty("考点")
    private String examKeys;

    /**
     * 是否精讯600题
     */
    @ApiModelProperty("精讯600题")
    private Integer isVip2;

    /**
     * 是否密卷1
     */
    @ApiModelProperty("是否密卷1")
    private Integer isExam1;

    /**
     * 是否密卷2
     */
    @ApiModelProperty("是否密卷2")
    private Integer isExam2;
}
